%define		_build 203739
Name:		VMware-Player
Version:	3.0.0
Release:	203739.2
Group:		Applications/Emulators
Summary:	VMware Player
License:	commercial
Vendor:		VMware, Inc.
%ifarch x86_64
%define		_sourcefile	%{name}-%{version}-%{_build}.x86_64.bundle
%else
%define		_sourcefile	%{name}-%{version}-%{_build}.i386.bundle
%endif

Source0:	%{_sourcefile}
NoSource:	0
Buildroot:      %{_tmppath}/%{name}-%{version}-%{_build}-root

%description
VMware Player Virtual Platform is a thin software layer that allows multiple guest
operating systems to run concurrently on a single standard PC, without
repartitioning or rebooting, and without significant loss of performance.

%prep
%setup -c -T

%install
%__install -D -m 0755 %{S:0} %{buildroot}/var/cache/vmware/%{_sourcefile}


%post
# Execute bundle installer on install or upgrade after laying down bundle
# and then delete the bundle afterwards.
# Have to redirect the console to stdin because it's closed by default.
# Setting VMWARE_SKIP_RPM_UNINSTALL is necessary because we don't want the
# bundle to run rpm commands, since rpm will deadlock if that happens.
TERM=dumb VMWARE_SKIP_RPM_UNINSTALL=1 /var/cache/vmware/%{_sourcefile} \
   --required --console < /dev/tty
rm -f /var/cache/vmware/%{_sourcefile}

%preun
# On uninstall only, remove existing bundle installation.
if [ $1 -eq 0 ]; then
   if [ -e /usr/bin/vmware-uninstall ]; then
      TERM=dumb /usr/bin/vmware-uninstall --console > /dev/null 2>&1
   fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) /var/cache/vmware/%{_sourcefile}

%changelog
